Bug 1214734 - python-oslo-context-0.5.0 is available [NEEDINFO]
Summary: python-oslo-context-0.5.0 is available
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oslo-context   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2015-04-23 13:02 UTC by Upstream Release Monitoring
Modified: 2016-07-08 15:55 UTC (History)
5 users (show)

Fixed In Version: python-oslo-context-2.2.0-2.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-08 15:55:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
torsava: needinfo? (chkumar246)


Attachments (Terms of Use)
[patch] Update to 0.3.0 (#1214734) (1.06 KB, text/x-diff)
2015-04-23 13:02 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 0.4.0 (#1214734) (1.06 KB, text/x-diff)
2015-06-03 01:14 UTC, Upstream Release Monitoring
no flags Details
Patch to provide Python 3 tests subpackage (1.68 KB, patch)
2016-06-03 09:08 UTC, Charalampos Stratakis
no flags Details | Diff

Description Upstream Release Monitoring 2015-04-23 13:02:12 UTC
Latest upstream release: 0.3.0
Current version/release in rawhide: 0.2.0-5.fc23
URL: https://pypi.python.org/pypi/oslo.context

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-04-23 13:02:18 UTC
Created attachment 1017974 [details]
[patch] Update to 0.3.0 (#1214734)

Comment 2 Upstream Release Monitoring 2015-04-23 13:06:50 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9548546

Comment 3 Upstream Release Monitoring 2015-06-03 01:14:31 UTC
Latest upstream release: 0.4.0
Current version/release in rawhide: 0.2.0-5.fc23
URL: https://pypi.python.org/pypi/oslo.context

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 4 Upstream Release Monitoring 2015-06-03 01:14:40 UTC
Created attachment 1034071 [details]
[patch] Update to 0.4.0 (#1214734)

Comment 5 Upstream Release Monitoring 2015-06-03 01:25:29 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9924134

Comment 6 Upstream Release Monitoring 2015-08-04 00:15:05 UTC
Latest upstream release: 0.5.0
Current version/release in rawhide: 0.2.0-6.fc23
URL: https://pypi.python.org/pypi/oslo.context

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 7 Upstream Release Monitoring 2015-08-04 00:15:09 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-h2hgSV/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-h2hgSV/100.0%: No such file or directory

Comment 8 Upstream Release Monitoring 2015-08-17 12:09:38 UTC
apevec's python-oslo-context-0.5.0-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=677862

Comment 9 Upstream Release Monitoring 2015-09-03 11:02:35 UTC
chandankumar's python-oslo-context-0.5.0-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=682538

Comment 10 Upstream Release Monitoring 2015-09-07 10:11:59 UTC
chandankumar's python-oslo-context-0.5.0-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=683287

Comment 11 Upstream Release Monitoring 2015-09-08 09:36:11 UTC
hguemar's python-oslo-context-0.5.0-4.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=683467

Comment 12 Tomas Orsava 2016-05-10 14:30:32 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 13 Charalampos Stratakis 2016-06-03 09:08 UTC
Created attachment 1164393 [details]
Patch to provide Python 3 tests subpackage

Comment 14 Charalampos Stratakis 2016-06-08 11:48:25 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14421239

Also tested in mock and works as expected.

Comment 15 Tomas Orsava 2016-06-08 12:06:38 UTC
Hi Charalampos, the patch looks good!

Comment 16 Tomas Orsava 2016-06-08 12:07:05 UTC
Hi Chandan,
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you are unable.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.